/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as ApplicationDependency from "./application-dependency";
export import ApplicationDependency = ApplicationDependency.ApplicationDependency;
import * as ApplicationDependencyVulnerabilityCollection from "./application-dependency-vulnerability-collection";
export import ApplicationDependencyVulnerabilityCollection = ApplicationDependencyVulnerabilityCollection.ApplicationDependencyVulnerabilityCollection;
import * as ApplicationDependencyVulnerabilitySummary from "./application-dependency-vulnerability-summary";
export import ApplicationDependencyVulnerabilitySummary = ApplicationDependencyVulnerabilitySummary.ApplicationDependencyVulnerabilitySummary;
import * as ChangeKnowledgeBaseCompartmentDetails from "./change-knowledge-base-compartment-details";
export import ChangeKnowledgeBaseCompartmentDetails = ChangeKnowledgeBaseCompartmentDetails.ChangeKnowledgeBaseCompartmentDetails;
import * as ChangeVulnerabilityAuditCompartmentDetails from "./change-vulnerability-audit-compartment-details";
export import ChangeVulnerabilityAuditCompartmentDetails = ChangeVulnerabilityAuditCompartmentDetails.ChangeVulnerabilityAuditCompartmentDetails;
import * as CreateKnowledgeBaseDetails from "./create-knowledge-base-details";
export import CreateKnowledgeBaseDetails = CreateKnowledgeBaseDetails.CreateKnowledgeBaseDetails;
import * as CreateVulnerabilityAuditDetails from "./create-vulnerability-audit-details";
export import CreateVulnerabilityAuditDetails = CreateVulnerabilityAuditDetails.CreateVulnerabilityAuditDetails;
import * as KnowledgeBase from "./knowledge-base";
export import KnowledgeBase = KnowledgeBase.KnowledgeBase;
import * as KnowledgeBaseCollection from "./knowledge-base-collection";
export import KnowledgeBaseCollection = KnowledgeBaseCollection.KnowledgeBaseCollection;
import * as KnowledgeBaseSummary from "./knowledge-base-summary";
export import KnowledgeBaseSummary = KnowledgeBaseSummary.KnowledgeBaseSummary;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as UpdateKnowledgeBaseDetails from "./update-knowledge-base-details";
export import UpdateKnowledgeBaseDetails = UpdateKnowledgeBaseDetails.UpdateKnowledgeBaseDetails;
import * as UpdateVulnerabilityAuditDetails from "./update-vulnerability-audit-details";
export import UpdateVulnerabilityAuditDetails = UpdateVulnerabilityAuditDetails.UpdateVulnerabilityAuditDetails;
import * as Vulnerability from "./vulnerability";
export import Vulnerability = Vulnerability.Vulnerability;
import * as VulnerabilityAudit from "./vulnerability-audit";
export import VulnerabilityAudit = VulnerabilityAudit.VulnerabilityAudit;
import * as VulnerabilityAuditCollection from "./vulnerability-audit-collection";
export import VulnerabilityAuditCollection = VulnerabilityAuditCollection.VulnerabilityAuditCollection;
import * as VulnerabilityAuditConfiguration from "./vulnerability-audit-configuration";
export import VulnerabilityAuditConfiguration = VulnerabilityAuditConfiguration.VulnerabilityAuditConfiguration;
import * as VulnerabilityAuditSource from "./vulnerability-audit-source";
export import VulnerabilityAuditSource = VulnerabilityAuditSource.VulnerabilityAuditSource;
import * as VulnerabilityAuditSummary from "./vulnerability-audit-summary";
export import VulnerabilityAuditSummary = VulnerabilityAuditSummary.VulnerabilityAuditSummary;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestResourceMetadataKey from "./work-request-resource-metadata-key";
export import WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as WorkRequestSummaryCollection from "./work-request-summary-collection";
export import WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
import * as ExternalResourceVulnerabilityAuditSource from "./external-resource-vulnerability-audit-source";
export import ExternalResourceVulnerabilityAuditSource = ExternalResourceVulnerabilityAuditSource.ExternalResourceVulnerabilityAuditSource;
import * as OciResourceVulnerabilityAuditSource from "./oci-resource-vulnerability-audit-source";
export import OciResourceVulnerabilityAuditSource = OciResourceVulnerabilityAuditSource.OciResourceVulnerabilityAuditSource;
import * as UnknownSourceVulnerabilityAuditSource from "./unknown-source-vulnerability-audit-source";
export import UnknownSourceVulnerabilityAuditSource = UnknownSourceVulnerabilityAuditSource.UnknownSourceVulnerabilityAuditSource;
