/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as AddDataFilesRequest from "./add-data-files-request";
export import AddDataFilesRequest = AddDataFilesRequest.AddDataFilesRequest;
import * as AddManagedDatabaseToManagedDatabaseGroupRequest from "./add-managed-database-to-managed-database-group-request";
export import AddManagedDatabaseToManagedDatabaseGroupRequest = AddManagedDatabaseToManagedDatabaseGroupRequest.AddManagedDatabaseToManagedDatabaseGroupRequest;
import * as AddmTasksRequest from "./addm-tasks-request";
export import AddmTasksRequest = AddmTasksRequest.AddmTasksRequest;
import * as ChangeDatabaseParametersRequest from "./change-database-parameters-request";
export import ChangeDatabaseParametersRequest = ChangeDatabaseParametersRequest.ChangeDatabaseParametersRequest;
import * as ChangeDbManagementPrivateEndpointCompartmentRequest from "./change-db-management-private-endpoint-compartment-request";
export import ChangeDbManagementPrivateEndpointCompartmentRequest = ChangeDbManagementPrivateEndpointCompartmentRequest.ChangeDbManagementPrivateEndpointCompartmentRequest;
import * as ChangeJobCompartmentRequest from "./change-job-compartment-request";
export import ChangeJobCompartmentRequest = ChangeJobCompartmentRequest.ChangeJobCompartmentRequest;
import * as ChangeManagedDatabaseGroupCompartmentRequest from "./change-managed-database-group-compartment-request";
export import ChangeManagedDatabaseGroupCompartmentRequest = ChangeManagedDatabaseGroupCompartmentRequest.ChangeManagedDatabaseGroupCompartmentRequest;
import * as CreateDbManagementPrivateEndpointRequest from "./create-db-management-private-endpoint-request";
export import CreateDbManagementPrivateEndpointRequest = CreateDbManagementPrivateEndpointRequest.CreateDbManagementPrivateEndpointRequest;
import * as CreateJobRequest from "./create-job-request";
export import CreateJobRequest = CreateJobRequest.CreateJobRequest;
import * as CreateManagedDatabaseGroupRequest from "./create-managed-database-group-request";
export import CreateManagedDatabaseGroupRequest = CreateManagedDatabaseGroupRequest.CreateManagedDatabaseGroupRequest;
import * as CreateTablespaceRequest from "./create-tablespace-request";
export import CreateTablespaceRequest = CreateTablespaceRequest.CreateTablespaceRequest;
import * as DeleteDbManagementPrivateEndpointRequest from "./delete-db-management-private-endpoint-request";
export import DeleteDbManagementPrivateEndpointRequest = DeleteDbManagementPrivateEndpointRequest.DeleteDbManagementPrivateEndpointRequest;
import * as DeleteJobRequest from "./delete-job-request";
export import DeleteJobRequest = DeleteJobRequest.DeleteJobRequest;
import * as DeleteManagedDatabaseGroupRequest from "./delete-managed-database-group-request";
export import DeleteManagedDatabaseGroupRequest = DeleteManagedDatabaseGroupRequest.DeleteManagedDatabaseGroupRequest;
import * as DeletePreferredCredentialRequest from "./delete-preferred-credential-request";
export import DeletePreferredCredentialRequest = DeletePreferredCredentialRequest.DeletePreferredCredentialRequest;
import * as DropTablespaceRequest from "./drop-tablespace-request";
export import DropTablespaceRequest = DropTablespaceRequest.DropTablespaceRequest;
import * as GenerateAwrSnapshotRequest from "./generate-awr-snapshot-request";
export import GenerateAwrSnapshotRequest = GenerateAwrSnapshotRequest.GenerateAwrSnapshotRequest;
import * as GetAwrDbReportRequest from "./get-awr-db-report-request";
export import GetAwrDbReportRequest = GetAwrDbReportRequest.GetAwrDbReportRequest;
import * as GetAwrDbSqlReportRequest from "./get-awr-db-sql-report-request";
export import GetAwrDbSqlReportRequest = GetAwrDbSqlReportRequest.GetAwrDbSqlReportRequest;
import * as GetClusterCacheMetricRequest from "./get-cluster-cache-metric-request";
export import GetClusterCacheMetricRequest = GetClusterCacheMetricRequest.GetClusterCacheMetricRequest;
import * as GetDatabaseFleetHealthMetricsRequest from "./get-database-fleet-health-metrics-request";
export import GetDatabaseFleetHealthMetricsRequest = GetDatabaseFleetHealthMetricsRequest.GetDatabaseFleetHealthMetricsRequest;
import * as GetDatabaseHomeMetricsRequest from "./get-database-home-metrics-request";
export import GetDatabaseHomeMetricsRequest = GetDatabaseHomeMetricsRequest.GetDatabaseHomeMetricsRequest;
import * as GetDbManagementPrivateEndpointRequest from "./get-db-management-private-endpoint-request";
export import GetDbManagementPrivateEndpointRequest = GetDbManagementPrivateEndpointRequest.GetDbManagementPrivateEndpointRequest;
import * as GetJobRequest from "./get-job-request";
export import GetJobRequest = GetJobRequest.GetJobRequest;
import * as GetJobExecutionRequest from "./get-job-execution-request";
export import GetJobExecutionRequest = GetJobExecutionRequest.GetJobExecutionRequest;
import * as GetJobRunRequest from "./get-job-run-request";
export import GetJobRunRequest = GetJobRunRequest.GetJobRunRequest;
import * as GetManagedDatabaseRequest from "./get-managed-database-request";
export import GetManagedDatabaseRequest = GetManagedDatabaseRequest.GetManagedDatabaseRequest;
import * as GetManagedDatabaseGroupRequest from "./get-managed-database-group-request";
export import GetManagedDatabaseGroupRequest = GetManagedDatabaseGroupRequest.GetManagedDatabaseGroupRequest;
import * as GetOptimizerStatisticsAdvisorExecutionRequest from "./get-optimizer-statistics-advisor-execution-request";
export import GetOptimizerStatisticsAdvisorExecutionRequest = GetOptimizerStatisticsAdvisorExecutionRequest.GetOptimizerStatisticsAdvisorExecutionRequest;
import * as GetOptimizerStatisticsAdvisorExecutionScriptRequest from "./get-optimizer-statistics-advisor-execution-script-request";
export import GetOptimizerStatisticsAdvisorExecutionScriptRequest = GetOptimizerStatisticsAdvisorExecutionScriptRequest.GetOptimizerStatisticsAdvisorExecutionScriptRequest;
import * as GetOptimizerStatisticsCollectionOperationRequest from "./get-optimizer-statistics-collection-operation-request";
export import GetOptimizerStatisticsCollectionOperationRequest = GetOptimizerStatisticsCollectionOperationRequest.GetOptimizerStatisticsCollectionOperationRequest;
import * as GetPdbMetricsRequest from "./get-pdb-metrics-request";
export import GetPdbMetricsRequest = GetPdbMetricsRequest.GetPdbMetricsRequest;
import * as GetPreferredCredentialRequest from "./get-preferred-credential-request";
export import GetPreferredCredentialRequest = GetPreferredCredentialRequest.GetPreferredCredentialRequest;
import * as GetTablespaceRequest from "./get-tablespace-request";
export import GetTablespaceRequest = GetTablespaceRequest.GetTablespaceRequest;
import * as GetUserRequest from "./get-user-request";
export import GetUserRequest = GetUserRequest.GetUserRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as ImplementOptimizerStatisticsAdvisorRecommendationsRequest from "./implement-optimizer-statistics-advisor-recommendations-request";
export import ImplementOptimizerStatisticsAdvisorRecommendationsRequest = ImplementOptimizerStatisticsAdvisorRecommendationsRequest.ImplementOptimizerStatisticsAdvisorRecommendationsRequest;
import * as ListAsmPropertiesRequest from "./list-asm-properties-request";
export import ListAsmPropertiesRequest = ListAsmPropertiesRequest.ListAsmPropertiesRequest;
import * as ListAssociatedDatabasesRequest from "./list-associated-databases-request";
export import ListAssociatedDatabasesRequest = ListAssociatedDatabasesRequest.ListAssociatedDatabasesRequest;
import * as ListAwrDbSnapshotsRequest from "./list-awr-db-snapshots-request";
export import ListAwrDbSnapshotsRequest = ListAwrDbSnapshotsRequest.ListAwrDbSnapshotsRequest;
import * as ListAwrDbsRequest from "./list-awr-dbs-request";
export import ListAwrDbsRequest = ListAwrDbsRequest.ListAwrDbsRequest;
import * as ListConsumerGroupPrivilegesRequest from "./list-consumer-group-privileges-request";
export import ListConsumerGroupPrivilegesRequest = ListConsumerGroupPrivilegesRequest.ListConsumerGroupPrivilegesRequest;
import * as ListDataAccessContainersRequest from "./list-data-access-containers-request";
export import ListDataAccessContainersRequest = ListDataAccessContainersRequest.ListDataAccessContainersRequest;
import * as ListDatabaseParametersRequest from "./list-database-parameters-request";
export import ListDatabaseParametersRequest = ListDatabaseParametersRequest.ListDatabaseParametersRequest;
import * as ListDbManagementPrivateEndpointsRequest from "./list-db-management-private-endpoints-request";
export import ListDbManagementPrivateEndpointsRequest = ListDbManagementPrivateEndpointsRequest.ListDbManagementPrivateEndpointsRequest;
import * as ListJobExecutionsRequest from "./list-job-executions-request";
export import ListJobExecutionsRequest = ListJobExecutionsRequest.ListJobExecutionsRequest;
import * as ListJobRunsRequest from "./list-job-runs-request";
export import ListJobRunsRequest = ListJobRunsRequest.ListJobRunsRequest;
import * as ListJobsRequest from "./list-jobs-request";
export import ListJobsRequest = ListJobsRequest.ListJobsRequest;
import * as ListManagedDatabaseGroupsRequest from "./list-managed-database-groups-request";
export import ListManagedDatabaseGroupsRequest = ListManagedDatabaseGroupsRequest.ListManagedDatabaseGroupsRequest;
import * as ListManagedDatabasesRequest from "./list-managed-databases-request";
export import ListManagedDatabasesRequest = ListManagedDatabasesRequest.ListManagedDatabasesRequest;
import * as ListObjectPrivilegesRequest from "./list-object-privileges-request";
export import ListObjectPrivilegesRequest = ListObjectPrivilegesRequest.ListObjectPrivilegesRequest;
import * as ListOptimizerStatisticsAdvisorExecutionsRequest from "./list-optimizer-statistics-advisor-executions-request";
export import ListOptimizerStatisticsAdvisorExecutionsRequest = ListOptimizerStatisticsAdvisorExecutionsRequest.ListOptimizerStatisticsAdvisorExecutionsRequest;
import * as ListOptimizerStatisticsCollectionAggregationsRequest from "./list-optimizer-statistics-collection-aggregations-request";
export import ListOptimizerStatisticsCollectionAggregationsRequest = ListOptimizerStatisticsCollectionAggregationsRequest.ListOptimizerStatisticsCollectionAggregationsRequest;
import * as ListOptimizerStatisticsCollectionOperationsRequest from "./list-optimizer-statistics-collection-operations-request";
export import ListOptimizerStatisticsCollectionOperationsRequest = ListOptimizerStatisticsCollectionOperationsRequest.ListOptimizerStatisticsCollectionOperationsRequest;
import * as ListPreferredCredentialsRequest from "./list-preferred-credentials-request";
export import ListPreferredCredentialsRequest = ListPreferredCredentialsRequest.ListPreferredCredentialsRequest;
import * as ListProxiedForUsersRequest from "./list-proxied-for-users-request";
export import ListProxiedForUsersRequest = ListProxiedForUsersRequest.ListProxiedForUsersRequest;
import * as ListProxyUsersRequest from "./list-proxy-users-request";
export import ListProxyUsersRequest = ListProxyUsersRequest.ListProxyUsersRequest;
import * as ListRolesRequest from "./list-roles-request";
export import ListRolesRequest = ListRolesRequest.ListRolesRequest;
import * as ListSystemPrivilegesRequest from "./list-system-privileges-request";
export import ListSystemPrivilegesRequest = ListSystemPrivilegesRequest.ListSystemPrivilegesRequest;
import * as ListTableStatisticsRequest from "./list-table-statistics-request";
export import ListTableStatisticsRequest = ListTableStatisticsRequest.ListTableStatisticsRequest;
import * as ListTablespacesRequest from "./list-tablespaces-request";
export import ListTablespacesRequest = ListTablespacesRequest.ListTablespacesRequest;
import * as ListUsersRequest from "./list-users-request";
export import ListUsersRequest = ListUsersRequest.ListUsersRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
import * as RemoveDataFileRequest from "./remove-data-file-request";
export import RemoveDataFileRequest = RemoveDataFileRequest.RemoveDataFileRequest;
import * as RemoveManagedDatabaseFromManagedDatabaseGroupRequest from "./remove-managed-database-from-managed-database-group-request";
export import RemoveManagedDatabaseFromManagedDatabaseGroupRequest = RemoveManagedDatabaseFromManagedDatabaseGroupRequest.RemoveManagedDatabaseFromManagedDatabaseGroupRequest;
import * as ResetDatabaseParametersRequest from "./reset-database-parameters-request";
export import ResetDatabaseParametersRequest = ResetDatabaseParametersRequest.ResetDatabaseParametersRequest;
import * as ResizeDataFileRequest from "./resize-data-file-request";
export import ResizeDataFileRequest = ResizeDataFileRequest.ResizeDataFileRequest;
import * as RunHistoricAddmRequest from "./run-historic-addm-request";
export import RunHistoricAddmRequest = RunHistoricAddmRequest.RunHistoricAddmRequest;
import * as SummarizeAwrDbCpuUsagesRequest from "./summarize-awr-db-cpu-usages-request";
export import SummarizeAwrDbCpuUsagesRequest = SummarizeAwrDbCpuUsagesRequest.SummarizeAwrDbCpuUsagesRequest;
import * as SummarizeAwrDbMetricsRequest from "./summarize-awr-db-metrics-request";
export import SummarizeAwrDbMetricsRequest = SummarizeAwrDbMetricsRequest.SummarizeAwrDbMetricsRequest;
import * as SummarizeAwrDbParameterChangesRequest from "./summarize-awr-db-parameter-changes-request";
export import SummarizeAwrDbParameterChangesRequest = SummarizeAwrDbParameterChangesRequest.SummarizeAwrDbParameterChangesRequest;
import * as SummarizeAwrDbParametersRequest from "./summarize-awr-db-parameters-request";
export import SummarizeAwrDbParametersRequest = SummarizeAwrDbParametersRequest.SummarizeAwrDbParametersRequest;
import * as SummarizeAwrDbSnapshotRangesRequest from "./summarize-awr-db-snapshot-ranges-request";
export import SummarizeAwrDbSnapshotRangesRequest = SummarizeAwrDbSnapshotRangesRequest.SummarizeAwrDbSnapshotRangesRequest;
import * as SummarizeAwrDbSysstatsRequest from "./summarize-awr-db-sysstats-request";
export import SummarizeAwrDbSysstatsRequest = SummarizeAwrDbSysstatsRequest.SummarizeAwrDbSysstatsRequest;
import * as SummarizeAwrDbTopWaitEventsRequest from "./summarize-awr-db-top-wait-events-request";
export import SummarizeAwrDbTopWaitEventsRequest = SummarizeAwrDbTopWaitEventsRequest.SummarizeAwrDbTopWaitEventsRequest;
import * as SummarizeAwrDbWaitEventBucketsRequest from "./summarize-awr-db-wait-event-buckets-request";
export import SummarizeAwrDbWaitEventBucketsRequest = SummarizeAwrDbWaitEventBucketsRequest.SummarizeAwrDbWaitEventBucketsRequest;
import * as SummarizeAwrDbWaitEventsRequest from "./summarize-awr-db-wait-events-request";
export import SummarizeAwrDbWaitEventsRequest = SummarizeAwrDbWaitEventsRequest.SummarizeAwrDbWaitEventsRequest;
import * as SummarizeJobExecutionsStatusesRequest from "./summarize-job-executions-statuses-request";
export import SummarizeJobExecutionsStatusesRequest = SummarizeJobExecutionsStatusesRequest.SummarizeJobExecutionsStatusesRequest;
import * as TestPreferredCredentialRequest from "./test-preferred-credential-request";
export import TestPreferredCredentialRequest = TestPreferredCredentialRequest.TestPreferredCredentialRequest;
import * as UpdateDbManagementPrivateEndpointRequest from "./update-db-management-private-endpoint-request";
export import UpdateDbManagementPrivateEndpointRequest = UpdateDbManagementPrivateEndpointRequest.UpdateDbManagementPrivateEndpointRequest;
import * as UpdateJobRequest from "./update-job-request";
export import UpdateJobRequest = UpdateJobRequest.UpdateJobRequest;
import * as UpdateManagedDatabaseGroupRequest from "./update-managed-database-group-request";
export import UpdateManagedDatabaseGroupRequest = UpdateManagedDatabaseGroupRequest.UpdateManagedDatabaseGroupRequest;
import * as UpdatePreferredCredentialRequest from "./update-preferred-credential-request";
export import UpdatePreferredCredentialRequest = UpdatePreferredCredentialRequest.UpdatePreferredCredentialRequest;
import * as UpdateTablespaceRequest from "./update-tablespace-request";
export import UpdateTablespaceRequest = UpdateTablespaceRequest.UpdateTablespaceRequest;
import * as ListAlertLogsRequest from "./list-alert-logs-request";
export import ListAlertLogsRequest = ListAlertLogsRequest.ListAlertLogsRequest;
import * as ListAttentionLogsRequest from "./list-attention-logs-request";
export import ListAttentionLogsRequest = ListAttentionLogsRequest.ListAttentionLogsRequest;
import * as SummarizeAlertLogCountsRequest from "./summarize-alert-log-counts-request";
export import SummarizeAlertLogCountsRequest = SummarizeAlertLogCountsRequest.SummarizeAlertLogCountsRequest;
import * as SummarizeAttentionLogCountsRequest from "./summarize-attention-log-counts-request";
export import SummarizeAttentionLogCountsRequest = SummarizeAttentionLogCountsRequest.SummarizeAttentionLogCountsRequest;
import * as CloneSqlTuningTaskRequest from "./clone-sql-tuning-task-request";
export import CloneSqlTuningTaskRequest = CloneSqlTuningTaskRequest.CloneSqlTuningTaskRequest;
import * as DropSqlTuningTaskRequest from "./drop-sql-tuning-task-request";
export import DropSqlTuningTaskRequest = DropSqlTuningTaskRequest.DropSqlTuningTaskRequest;
import * as GetExecutionPlanStatsComparisionRequest from "./get-execution-plan-stats-comparision-request";
export import GetExecutionPlanStatsComparisionRequest = GetExecutionPlanStatsComparisionRequest.GetExecutionPlanStatsComparisionRequest;
import * as GetSqlExecutionPlanRequest from "./get-sql-execution-plan-request";
export import GetSqlExecutionPlanRequest = GetSqlExecutionPlanRequest.GetSqlExecutionPlanRequest;
import * as GetSqlTuningAdvisorTaskSummaryReportRequest from "./get-sql-tuning-advisor-task-summary-report-request";
export import GetSqlTuningAdvisorTaskSummaryReportRequest = GetSqlTuningAdvisorTaskSummaryReportRequest.GetSqlTuningAdvisorTaskSummaryReportRequest;
import * as ListSqlTuningAdvisorTaskFindingsRequest from "./list-sql-tuning-advisor-task-findings-request";
export import ListSqlTuningAdvisorTaskFindingsRequest = ListSqlTuningAdvisorTaskFindingsRequest.ListSqlTuningAdvisorTaskFindingsRequest;
import * as ListSqlTuningAdvisorTaskRecommendationsRequest from "./list-sql-tuning-advisor-task-recommendations-request";
export import ListSqlTuningAdvisorTaskRecommendationsRequest = ListSqlTuningAdvisorTaskRecommendationsRequest.ListSqlTuningAdvisorTaskRecommendationsRequest;
import * as ListSqlTuningAdvisorTasksRequest from "./list-sql-tuning-advisor-tasks-request";
export import ListSqlTuningAdvisorTasksRequest = ListSqlTuningAdvisorTasksRequest.ListSqlTuningAdvisorTasksRequest;
import * as ListSqlTuningSetsRequest from "./list-sql-tuning-sets-request";
export import ListSqlTuningSetsRequest = ListSqlTuningSetsRequest.ListSqlTuningSetsRequest;
import * as StartSqlTuningTaskRequest from "./start-sql-tuning-task-request";
export import StartSqlTuningTaskRequest = StartSqlTuningTaskRequest.StartSqlTuningTaskRequest;
