"use strict";
/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttributeProfileResult = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var AttributeProfileResult;
(function (AttributeProfileResult) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "min": obj.min ? model.ProfileStat.getJsonObj(obj.min) : undefined,
            "max": obj.max ? model.ProfileStat.getJsonObj(obj.max) : undefined,
            "nullCount": obj.nullCount ? model.ProfileStat.getJsonObj(obj.nullCount) : undefined,
            "distinctCount": obj.distinctCount
                ? model.ProfileStat.getJsonObj(obj.distinctCount)
                : undefined,
            "uniqueCount": obj.uniqueCount ? model.ProfileStat.getJsonObj(obj.uniqueCount) : undefined,
            "duplicateCount": obj.duplicateCount
                ? model.ProfileStat.getJsonObj(obj.duplicateCount)
                : undefined,
            "valueFrequencies": obj.valueFrequencies
                ? obj.valueFrequencies.map(item => {
                    return model.ObjectFreqStat.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "STRING":
                    return model.StringAttribute.getJsonObj(jsonObj, true);
                case "NUMERIC":
                    return model.NumericAttribute.getJsonObj(jsonObj, true);
                case "DATE_TIME":
                    return model.DateAttribute.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    AttributeProfileResult.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "min": obj.min ? model.ProfileStat.getDeserializedJsonObj(obj.min) : undefined,
            "max": obj.max ? model.ProfileStat.getDeserializedJsonObj(obj.max) : undefined,
            "nullCount": obj.nullCount
                ? model.ProfileStat.getDeserializedJsonObj(obj.nullCount)
                : undefined,
            "distinctCount": obj.distinctCount
                ? model.ProfileStat.getDeserializedJsonObj(obj.distinctCount)
                : undefined,
            "uniqueCount": obj.uniqueCount
                ? model.ProfileStat.getDeserializedJsonObj(obj.uniqueCount)
                : undefined,
            "duplicateCount": obj.duplicateCount
                ? model.ProfileStat.getDeserializedJsonObj(obj.duplicateCount)
                : undefined,
            "valueFrequencies": obj.valueFrequencies
                ? obj.valueFrequencies.map(item => {
                    return model.ObjectFreqStat.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "STRING":
                    return model.StringAttribute.getDeserializedJsonObj(jsonObj, true);
                case "NUMERIC":
                    return model.NumericAttribute.getDeserializedJsonObj(jsonObj, true);
                case "DATE_TIME":
                    return model.DateAttribute.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    AttributeProfileResult.getDeserializedJsonObj = getDeserializedJsonObj;
})(AttributeProfileResult = exports.AttributeProfileResult || (exports.AttributeProfileResult = {}));
//# sourceMappingURL=attribute-profile-result.js.map