/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The attribute object fo the registry that can be used to get the connector details.
 */
export interface Attribute {
    /**
     * The name of of the attribute.
     */
    "name": string;
    /**
     * True if attribute is sensitive.
     */
    "isSensitive"?: boolean;
    /**
     * True if attribute is mandatory.
     */
    "isMandatory"?: boolean;
    /**
     * True if attribute is generated.
     */
    "isGenerated"?: boolean;
    /**
     * True if attribute is encoded.
     */
    "isBase64Encoded"?: boolean;
    /**
     * The list of valid keys.
     */
    "validKeyList"?: Array<string>;
    /**
     * The attribute type details.
     */
    "attributeType"?: string;
}
export declare namespace Attribute {
    function getJsonObj(obj: Attribute): object;
    function getDeserializedJsonObj(obj: Attribute): object;
}
