/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Excel format attribute.
 */
export interface ExcelFormatAttribute extends model.AbstractFormatAttribute {
    /**
     * Range of the data. For example, \"'My Sheet'!B3:C35\"
     */
    "dataAddress"?: string;
    /**
     * Whether the dataAddress contains the header with column names. If false - column names fill be generated.
     */
    "header"?: boolean;
    /**
     * Workbook password if it is password protected.
     */
    "password"?: string;
    "modelType": string;
}
export declare namespace ExcelFormatAttribute {
    function getJsonObj(obj: ExcelFormatAttribute, isParentJsonObj?: boolean): object;
    const modelType = "EXCEL_FORMAT";
    function getDeserializedJsonObj(obj: ExcelFormatAttribute, isParentJsonObj?: boolean): object;
}
