/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Contains details of executeOperationJob.
 */
export interface ExecuteOperationJobDetails {
    /**
     * Job ID to track the job status.
     */
    "executeOperationJobId": string;
    /**
     * The status of the job.
     */
    "status": ExecuteOperationJobDetails.Status;
    /**
     * Error message when the job creation fails.
     */
    "errorMessage"?: string;
}
export declare namespace ExecuteOperationJobDetails {
    enum Status {
        Failed = "FAILED",
        Success = "SUCCESS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ExecuteOperationJobDetails): object;
    function getDeserializedJsonObj(obj: ExecuteOperationJobDetails): object;
}
