/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about the source object.
 */
export interface Source extends model.CreateConnectivityValidationDetails {
    "entity": model.DataEntityFromTable | model.DataEntityFromDataStore | model.DataEntityFromView | model.DataEntityFromSql | model.DataEntityFromFile | model.DerivedEntity;
    /**
     * Specifies the read access.
     */
    "isReadAccess"?: boolean;
    /**
     * Specifies the copy fields.
     */
    "isCopyFields"?: boolean;
    /**
     * Specifies if this uses a predefined shape.
     */
    "isPredefinedShape"?: boolean;
    "schemaDriftConfig"?: model.SchemaDriftConfig;
    "fixedDataShape"?: model.Shape;
    "readOperationConfig"?: model.ReadOperationConfig;
    "modelType": string;
}
export declare namespace Source {
    function getJsonObj(obj: Source, isParentJsonObj?: boolean): object;
    const modelType = "SOURCE_OPERATOR";
    function getDeserializedJsonObj(obj: Source, isParentJsonObj?: boolean): object;
}
