/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details to update a private endpoint.
 */
export interface UpdateDpEndpointFromPrivate extends model.UpdateDpEndpointDetails {
    /**
     * The endpoint ID provided by control plane.
     */
    "dcmsEndpointId": string;
    /**
     * The OCID of the private endpoint resource.
     */
    "peId"?: string;
    /**
     * The compartmentId of the private endpoint resource.
     */
    "compartmentId"?: string;
    /**
     * The IP address of DNS proxy.
     */
    "dnsProxyIp"?: string;
    /**
     * The OCID of the private endpoint resource.
     */
    "privateEndpointIp"?: string;
    /**
     * Array of DNS zones to be used during the private endpoint resolution.
     */
    "dnsZones"?: Array<string>;
    /**
     * Specifies the private endpoint state.
     */
    "state"?: UpdateDpEndpointFromPrivate.State;
    "modelType": string;
}
export declare namespace UpdateDpEndpointFromPrivate {
    enum State {
        Active = "ACTIVE",
        Inactive = "INACTIVE"
    }
    function getJsonObj(obj: UpdateDpEndpointFromPrivate, isParentJsonObj?: boolean): object;
    const modelType = "PRIVATE_END_POINT";
    function getDeserializedJsonObj(obj: UpdateDpEndpointFromPrivate, isParentJsonObj?: boolean): object;
}
