/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Possible lifecycle states of a DR Plan.
 * - CREATING - DR Plan is being created.
 * - UPDATING - DR Plan is being updated.
 * - ACTIVE - DR Plan is active and available for operations.
 * - INACTIVE - DR Plan is inactive and is not available for operations.
 * - DELETING - DR Plan is being deleted.
 * - DELETED - DR Plan has been deleted.
 * - FAILED - DR Plan creation failed.
 * - NEEDS_ATTENTION - DR Plan has failed to update.
 *
 **/
export declare enum DrPlanLifecycleState {
    Creating = "CREATING",
    Updating = "UPDATING",
    Active = "ACTIVE",
    Inactive = "INACTIVE",
    Deleting = "DELETING",
    Deleted = "DELETED",
    Failed = "FAILED",
    NeedsAttention = "NEEDS_ATTENTION",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace DrPlanLifecycleState {
    function getJsonObj(obj: DrPlanLifecycleState): DrPlanLifecycleState;
    function getDeserializedJsonObj(obj: DrPlanLifecycleState): DrPlanLifecycleState;
}
