/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Possible lifecycle states of a DR Protection Group.
 * - CREATING - DR Protection Group is being created.
 * - ACTIVE - DR Protection Group is active and available for operations.
 * - UPDATING - DR Protection Group is being updated and is not available for operations.
 * - NEEDS_ATTENTION - DR Protection Group needs user attention.
 * - DELETING - DR Protection Group is being deleted.
 * - DELETED - DR Protection Group has been deleted.
 * - FAILED - DR Protection Group is in a failed state.
 *
 **/
export declare enum DrProtectionGroupLifecycleState {
    Creating = "CREATING",
    Active = "ACTIVE",
    Updating = "UPDATING",
    NeedsAttention = "NEEDS_ATTENTION",
    Deleting = "DELETING",
    Deleted = "DELETED",
    Failed = "FAILED",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace DrProtectionGroupLifecycleState {
    function getJsonObj(obj: DrProtectionGroupLifecycleState): DrProtectionGroupLifecycleState;
    function getDeserializedJsonObj(obj: DrProtectionGroupLifecycleState): DrProtectionGroupLifecycleState;
}
