/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as AssociateDrProtectionGroupDetails from "./associate-dr-protection-group-details";
export import AssociateDrProtectionGroupDetails = AssociateDrProtectionGroupDetails.AssociateDrProtectionGroupDetails;
import * as ChangeDrProtectionGroupCompartmentDetails from "./change-dr-protection-group-compartment-details";
export import ChangeDrProtectionGroupCompartmentDetails = ChangeDrProtectionGroupCompartmentDetails.ChangeDrProtectionGroupCompartmentDetails;
import * as ComputeInstanceVnicMapping from "./compute-instance-vnic-mapping";
export import ComputeInstanceVnicMapping = ComputeInstanceVnicMapping.ComputeInstanceVnicMapping;
import * as ComputeInstanceVnicMappingDetails from "./compute-instance-vnic-mapping-details";
export import ComputeInstanceVnicMappingDetails = ComputeInstanceVnicMappingDetails.ComputeInstanceVnicMappingDetails;
import * as CreateDrPlanDetails from "./create-dr-plan-details";
export import CreateDrPlanDetails = CreateDrPlanDetails.CreateDrPlanDetails;
import * as CreateDrPlanExecutionDetails from "./create-dr-plan-execution-details";
export import CreateDrPlanExecutionDetails = CreateDrPlanExecutionDetails.CreateDrPlanExecutionDetails;
import * as CreateDrProtectionGroupDetails from "./create-dr-protection-group-details";
export import CreateDrProtectionGroupDetails = CreateDrProtectionGroupDetails.CreateDrProtectionGroupDetails;
import * as CreateDrProtectionGroupMemberDetails from "./create-dr-protection-group-member-details";
export import CreateDrProtectionGroupMemberDetails = CreateDrProtectionGroupMemberDetails.CreateDrProtectionGroupMemberDetails;
import * as CreateObjectStorageLogLocationDetails from "./create-object-storage-log-location-details";
export import CreateObjectStorageLogLocationDetails = CreateObjectStorageLogLocationDetails.CreateObjectStorageLogLocationDetails;
import * as DisassociateDrProtectionGroupDetails from "./disassociate-dr-protection-group-details";
export import DisassociateDrProtectionGroupDetails = DisassociateDrProtectionGroupDetails.DisassociateDrProtectionGroupDetails;
import * as DrPlan from "./dr-plan";
export import DrPlan = DrPlan.DrPlan;
import * as DrPlanCollection from "./dr-plan-collection";
export import DrPlanCollection = DrPlanCollection.DrPlanCollection;
import * as DrPlanExecution from "./dr-plan-execution";
export import DrPlanExecution = DrPlanExecution.DrPlanExecution;
import * as DrPlanExecutionCollection from "./dr-plan-execution-collection";
export import DrPlanExecutionCollection = DrPlanExecutionCollection.DrPlanExecutionCollection;
import * as DrPlanExecutionControlDetails from "./dr-plan-execution-control-details";
export import DrPlanExecutionControlDetails = DrPlanExecutionControlDetails.DrPlanExecutionControlDetails;
import * as DrPlanExecutionLifecycleState from "./dr-plan-execution-lifecycle-state";
export import DrPlanExecutionLifecycleState = DrPlanExecutionLifecycleState.DrPlanExecutionLifecycleState;
import * as DrPlanExecutionOptionDetails from "./dr-plan-execution-option-details";
export import DrPlanExecutionOptionDetails = DrPlanExecutionOptionDetails.DrPlanExecutionOptionDetails;
import * as DrPlanExecutionOptions from "./dr-plan-execution-options";
export import DrPlanExecutionOptions = DrPlanExecutionOptions.DrPlanExecutionOptions;
import * as DrPlanExecutionSummary from "./dr-plan-execution-summary";
export import DrPlanExecutionSummary = DrPlanExecutionSummary.DrPlanExecutionSummary;
import * as DrPlanExecutionType from "./dr-plan-execution-type";
export import DrPlanExecutionType = DrPlanExecutionType.DrPlanExecutionType;
import * as DrPlanGroup from "./dr-plan-group";
export import DrPlanGroup = DrPlanGroup.DrPlanGroup;
import * as DrPlanGroupExecution from "./dr-plan-group-execution";
export import DrPlanGroupExecution = DrPlanGroupExecution.DrPlanGroupExecution;
import * as DrPlanGroupExecutionStatus from "./dr-plan-group-execution-status";
export import DrPlanGroupExecutionStatus = DrPlanGroupExecutionStatus.DrPlanGroupExecutionStatus;
import * as DrPlanGroupType from "./dr-plan-group-type";
export import DrPlanGroupType = DrPlanGroupType.DrPlanGroupType;
import * as DrPlanLifecycleState from "./dr-plan-lifecycle-state";
export import DrPlanLifecycleState = DrPlanLifecycleState.DrPlanLifecycleState;
import * as DrPlanStep from "./dr-plan-step";
export import DrPlanStep = DrPlanStep.DrPlanStep;
import * as DrPlanStepErrorMode from "./dr-plan-step-error-mode";
export import DrPlanStepErrorMode = DrPlanStepErrorMode.DrPlanStepErrorMode;
import * as DrPlanStepExecution from "./dr-plan-step-execution";
export import DrPlanStepExecution = DrPlanStepExecution.DrPlanStepExecution;
import * as DrPlanStepExecutionStatus from "./dr-plan-step-execution-status";
export import DrPlanStepExecutionStatus = DrPlanStepExecutionStatus.DrPlanStepExecutionStatus;
import * as DrPlanStepType from "./dr-plan-step-type";
export import DrPlanStepType = DrPlanStepType.DrPlanStepType;
import * as DrPlanSummary from "./dr-plan-summary";
export import DrPlanSummary = DrPlanSummary.DrPlanSummary;
import * as DrPlanType from "./dr-plan-type";
export import DrPlanType = DrPlanType.DrPlanType;
import * as DrPlanUserDefinedStep from "./dr-plan-user-defined-step";
export import DrPlanUserDefinedStep = DrPlanUserDefinedStep.DrPlanUserDefinedStep;
import * as DrProtectionGroup from "./dr-protection-group";
export import DrProtectionGroup = DrProtectionGroup.DrProtectionGroup;
import * as DrProtectionGroupCollection from "./dr-protection-group-collection";
export import DrProtectionGroupCollection = DrProtectionGroupCollection.DrProtectionGroupCollection;
import * as DrProtectionGroupLifecycleState from "./dr-protection-group-lifecycle-state";
export import DrProtectionGroupLifecycleState = DrProtectionGroupLifecycleState.DrProtectionGroupLifecycleState;
import * as DrProtectionGroupMember from "./dr-protection-group-member";
export import DrProtectionGroupMember = DrProtectionGroupMember.DrProtectionGroupMember;
import * as DrProtectionGroupMemberType from "./dr-protection-group-member-type";
export import DrProtectionGroupMemberType = DrProtectionGroupMemberType.DrProtectionGroupMemberType;
import * as DrProtectionGroupRole from "./dr-protection-group-role";
export import DrProtectionGroupRole = DrProtectionGroupRole.DrProtectionGroupRole;
import * as DrProtectionGroupSummary from "./dr-protection-group-summary";
export import DrProtectionGroupSummary = DrProtectionGroupSummary.DrProtectionGroupSummary;
import * as IgnoreDrPlanExecutionDetails from "./ignore-dr-plan-execution-details";
export import IgnoreDrPlanExecutionDetails = IgnoreDrPlanExecutionDetails.IgnoreDrPlanExecutionDetails;
import * as ObjectStorageLogLocation from "./object-storage-log-location";
export import ObjectStorageLogLocation = ObjectStorageLogLocation.ObjectStorageLogLocation;
import * as ObjectStorageScriptLocation from "./object-storage-script-location";
export import ObjectStorageScriptLocation = ObjectStorageScriptLocation.ObjectStorageScriptLocation;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as RetryDrPlanExecutionDetails from "./retry-dr-plan-execution-details";
export import RetryDrPlanExecutionDetails = RetryDrPlanExecutionDetails.RetryDrPlanExecutionDetails;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as UpdateDrPlanDetails from "./update-dr-plan-details";
export import UpdateDrPlanDetails = UpdateDrPlanDetails.UpdateDrPlanDetails;
import * as UpdateDrPlanExecutionDetails from "./update-dr-plan-execution-details";
export import UpdateDrPlanExecutionDetails = UpdateDrPlanExecutionDetails.UpdateDrPlanExecutionDetails;
import * as UpdateDrPlanGroupDetails from "./update-dr-plan-group-details";
export import UpdateDrPlanGroupDetails = UpdateDrPlanGroupDetails.UpdateDrPlanGroupDetails;
import * as UpdateDrPlanStepDetails from "./update-dr-plan-step-details";
export import UpdateDrPlanStepDetails = UpdateDrPlanStepDetails.UpdateDrPlanStepDetails;
import * as UpdateDrPlanUserDefinedStepDetails from "./update-dr-plan-user-defined-step-details";
export import UpdateDrPlanUserDefinedStepDetails = UpdateDrPlanUserDefinedStepDetails.UpdateDrPlanUserDefinedStepDetails;
import * as UpdateDrProtectionGroupDetails from "./update-dr-protection-group-details";
export import UpdateDrProtectionGroupDetails = UpdateDrProtectionGroupDetails.UpdateDrProtectionGroupDetails;
import * as UpdateDrProtectionGroupMemberDetails from "./update-dr-protection-group-member-details";
export import UpdateDrProtectionGroupMemberDetails = UpdateDrProtectionGroupMemberDetails.UpdateDrProtectionGroupMemberDetails;
import * as UpdateDrProtectionGroupRoleDetails from "./update-dr-protection-group-role-details";
export import UpdateDrProtectionGroupRoleDetails = UpdateDrProtectionGroupRoleDetails.UpdateDrProtectionGroupRoleDetails;
import * as UpdateObjectStorageLogLocationDetails from "./update-object-storage-log-location-details";
export import UpdateObjectStorageLogLocationDetails = UpdateObjectStorageLogLocationDetails.UpdateObjectStorageLogLocationDetails;
import * as UpdateObjectStorageScriptLocationDetails from "./update-object-storage-script-location-details";
export import UpdateObjectStorageScriptLocationDetails = UpdateObjectStorageScriptLocationDetails.UpdateObjectStorageScriptLocationDetails;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as WorkRequestSummaryCollection from "./work-request-summary-collection";
export import WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
import * as CancelDrPlanExecutionDetails from "./cancel-dr-plan-execution-details";
export import CancelDrPlanExecutionDetails = CancelDrPlanExecutionDetails.CancelDrPlanExecutionDetails;
import * as CreateDrProtectionGroupMemberAutonomousDatabaseDetails from "./create-dr-protection-group-member-autonomous-database-details";
export import CreateDrProtectionGroupMemberAutonomousDatabaseDetails = CreateDrProtectionGroupMemberAutonomousDatabaseDetails.CreateDrProtectionGroupMemberAutonomousDatabaseDetails;
import * as CreateDrProtectionGroupMemberComputeInstanceDetails from "./create-dr-protection-group-member-compute-instance-details";
export import CreateDrProtectionGroupMemberComputeInstanceDetails = CreateDrProtectionGroupMemberComputeInstanceDetails.CreateDrProtectionGroupMemberComputeInstanceDetails;
import * as CreateDrProtectionGroupMemberDatabaseDetails from "./create-dr-protection-group-member-database-details";
export import CreateDrProtectionGroupMemberDatabaseDetails = CreateDrProtectionGroupMemberDatabaseDetails.CreateDrProtectionGroupMemberDatabaseDetails;
import * as CreateDrProtectionGroupMemberVolumeGroupDetails from "./create-dr-protection-group-member-volume-group-details";
export import CreateDrProtectionGroupMemberVolumeGroupDetails = CreateDrProtectionGroupMemberVolumeGroupDetails.CreateDrProtectionGroupMemberVolumeGroupDetails;
import * as DisassociateDrProtectionGroupDefaultDetails from "./disassociate-dr-protection-group-default-details";
export import DisassociateDrProtectionGroupDefaultDetails = DisassociateDrProtectionGroupDefaultDetails.DisassociateDrProtectionGroupDefaultDetails;
import * as DrProtectionGroupMemberAutonomousDatabase from "./dr-protection-group-member-autonomous-database";
export import DrProtectionGroupMemberAutonomousDatabase = DrProtectionGroupMemberAutonomousDatabase.DrProtectionGroupMemberAutonomousDatabase;
import * as DrProtectionGroupMemberComputeInstance from "./dr-protection-group-member-compute-instance";
export import DrProtectionGroupMemberComputeInstance = DrProtectionGroupMemberComputeInstance.DrProtectionGroupMemberComputeInstance;
import * as DrProtectionGroupMemberDatabase from "./dr-protection-group-member-database";
export import DrProtectionGroupMemberDatabase = DrProtectionGroupMemberDatabase.DrProtectionGroupMemberDatabase;
import * as DrProtectionGroupMemberVolumeGroup from "./dr-protection-group-member-volume-group";
export import DrProtectionGroupMemberVolumeGroup = DrProtectionGroupMemberVolumeGroup.DrProtectionGroupMemberVolumeGroup;
import * as FailoverExecutionOptionDetails from "./failover-execution-option-details";
export import FailoverExecutionOptionDetails = FailoverExecutionOptionDetails.FailoverExecutionOptionDetails;
import * as FailoverExecutionOptions from "./failover-execution-options";
export import FailoverExecutionOptions = FailoverExecutionOptions.FailoverExecutionOptions;
import * as FailoverPrecheckExecutionOptionDetails from "./failover-precheck-execution-option-details";
export import FailoverPrecheckExecutionOptionDetails = FailoverPrecheckExecutionOptionDetails.FailoverPrecheckExecutionOptionDetails;
import * as FailoverPrecheckExecutionOptions from "./failover-precheck-execution-options";
export import FailoverPrecheckExecutionOptions = FailoverPrecheckExecutionOptions.FailoverPrecheckExecutionOptions;
import * as InvokeFunctionPrecheckStep from "./invoke-function-precheck-step";
export import InvokeFunctionPrecheckStep = InvokeFunctionPrecheckStep.InvokeFunctionPrecheckStep;
import * as InvokeFunctionStep from "./invoke-function-step";
export import InvokeFunctionStep = InvokeFunctionStep.InvokeFunctionStep;
import * as LocalScriptPrecheckStep from "./local-script-precheck-step";
export import LocalScriptPrecheckStep = LocalScriptPrecheckStep.LocalScriptPrecheckStep;
import * as ObjectStoreScriptPrecheckStep from "./object-store-script-precheck-step";
export import ObjectStoreScriptPrecheckStep = ObjectStoreScriptPrecheckStep.ObjectStoreScriptPrecheckStep;
import * as PauseDrPlanExecutionDetails from "./pause-dr-plan-execution-details";
export import PauseDrPlanExecutionDetails = PauseDrPlanExecutionDetails.PauseDrPlanExecutionDetails;
import * as ResumeDrPlanExecutionDetails from "./resume-dr-plan-execution-details";
export import ResumeDrPlanExecutionDetails = ResumeDrPlanExecutionDetails.ResumeDrPlanExecutionDetails;
import * as RunLocalScriptUserDefinedStep from "./run-local-script-user-defined-step";
export import RunLocalScriptUserDefinedStep = RunLocalScriptUserDefinedStep.RunLocalScriptUserDefinedStep;
import * as RunObjectStoreScriptUserDefinedStep from "./run-object-store-script-user-defined-step";
export import RunObjectStoreScriptUserDefinedStep = RunObjectStoreScriptUserDefinedStep.RunObjectStoreScriptUserDefinedStep;
import * as SwitchoverExecutionOptionDetails from "./switchover-execution-option-details";
export import SwitchoverExecutionOptionDetails = SwitchoverExecutionOptionDetails.SwitchoverExecutionOptionDetails;
import * as SwitchoverExecutionOptions from "./switchover-execution-options";
export import SwitchoverExecutionOptions = SwitchoverExecutionOptions.SwitchoverExecutionOptions;
import * as SwitchoverPrecheckExecutionOptionDetails from "./switchover-precheck-execution-option-details";
export import SwitchoverPrecheckExecutionOptionDetails = SwitchoverPrecheckExecutionOptionDetails.SwitchoverPrecheckExecutionOptionDetails;
import * as SwitchoverPrecheckExecutionOptions from "./switchover-precheck-execution-options";
export import SwitchoverPrecheckExecutionOptions = SwitchoverPrecheckExecutionOptions.SwitchoverPrecheckExecutionOptions;
import * as UpdateDrProtectionGroupMemberAutonomousDatabaseDetails from "./update-dr-protection-group-member-autonomous-database-details";
export import UpdateDrProtectionGroupMemberAutonomousDatabaseDetails = UpdateDrProtectionGroupMemberAutonomousDatabaseDetails.UpdateDrProtectionGroupMemberAutonomousDatabaseDetails;
import * as UpdateDrProtectionGroupMemberComputeInstanceDetails from "./update-dr-protection-group-member-compute-instance-details";
export import UpdateDrProtectionGroupMemberComputeInstanceDetails = UpdateDrProtectionGroupMemberComputeInstanceDetails.UpdateDrProtectionGroupMemberComputeInstanceDetails;
import * as UpdateDrProtectionGroupMemberDatabaseDetails from "./update-dr-protection-group-member-database-details";
export import UpdateDrProtectionGroupMemberDatabaseDetails = UpdateDrProtectionGroupMemberDatabaseDetails.UpdateDrProtectionGroupMemberDatabaseDetails;
import * as UpdateDrProtectionGroupMemberVolumeGroupDetails from "./update-dr-protection-group-member-volume-group-details";
export import UpdateDrProtectionGroupMemberVolumeGroupDetails = UpdateDrProtectionGroupMemberVolumeGroupDetails.UpdateDrProtectionGroupMemberVolumeGroupDetails;
import * as UpdateInvokeFunctionPrecheckStepDetails from "./update-invoke-function-precheck-step-details";
export import UpdateInvokeFunctionPrecheckStepDetails = UpdateInvokeFunctionPrecheckStepDetails.UpdateInvokeFunctionPrecheckStepDetails;
import * as UpdateInvokeFunctionUserDefinedStepDetails from "./update-invoke-function-user-defined-step-details";
export import UpdateInvokeFunctionUserDefinedStepDetails = UpdateInvokeFunctionUserDefinedStepDetails.UpdateInvokeFunctionUserDefinedStepDetails;
import * as UpdateLocalScriptPrecheckStepDetails from "./update-local-script-precheck-step-details";
export import UpdateLocalScriptPrecheckStepDetails = UpdateLocalScriptPrecheckStepDetails.UpdateLocalScriptPrecheckStepDetails;
import * as UpdateObjectStoreScriptPrecheckStepDetails from "./update-object-store-script-precheck-step-details";
export import UpdateObjectStoreScriptPrecheckStepDetails = UpdateObjectStoreScriptPrecheckStepDetails.UpdateObjectStoreScriptPrecheckStepDetails;
import * as UpdateRunLocalScriptUserDefinedStepDetails from "./update-run-local-script-user-defined-step-details";
export import UpdateRunLocalScriptUserDefinedStepDetails = UpdateRunLocalScriptUserDefinedStepDetails.UpdateRunLocalScriptUserDefinedStepDetails;
import * as UpdateRunObjectStoreScriptUserDefinedStepDetails from "./update-run-object-store-script-user-defined-step-details";
export import UpdateRunObjectStoreScriptUserDefinedStepDetails = UpdateRunObjectStoreScriptUserDefinedStepDetails.UpdateRunObjectStoreScriptUserDefinedStepDetails;
