"use strict";
/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateDrPlanExecutionDetails = exports.UpdateDrPlanDetails = exports.SortOrder = exports.RetryDrPlanExecutionDetails = exports.OperationType = exports.OperationStatus = exports.ObjectStorageScriptLocation = exports.ObjectStorageLogLocation = exports.IgnoreDrPlanExecutionDetails = exports.DrProtectionGroupSummary = exports.DrProtectionGroupRole = exports.DrProtectionGroupMemberType = exports.DrProtectionGroupMember = exports.DrProtectionGroupLifecycleState = exports.DrProtectionGroupCollection = exports.DrProtectionGroup = exports.DrPlanUserDefinedStep = exports.DrPlanType = exports.DrPlanSummary = exports.DrPlanStepType = exports.DrPlanStepExecutionStatus = exports.DrPlanStepExecution = exports.DrPlanStepErrorMode = exports.DrPlanStep = exports.DrPlanLifecycleState = exports.DrPlanGroupType = exports.DrPlanGroupExecutionStatus = exports.DrPlanGroupExecution = exports.DrPlanGroup = exports.DrPlanExecutionType = exports.DrPlanExecutionSummary = exports.DrPlanExecutionOptions = exports.DrPlanExecutionOptionDetails = exports.DrPlanExecutionLifecycleState = exports.DrPlanExecutionControlDetails = exports.DrPlanExecutionCollection = exports.DrPlanExecution = exports.DrPlanCollection = exports.DrPlan = exports.DisassociateDrProtectionGroupDetails = exports.CreateObjectStorageLogLocationDetails = exports.CreateDrProtectionGroupMemberDetails = exports.CreateDrProtectionGroupDetails = exports.CreateDrPlanExecutionDetails = exports.CreateDrPlanDetails = exports.ComputeInstanceVnicMappingDetails = exports.ComputeInstanceVnicMapping = exports.ChangeDrProtectionGroupCompartmentDetails = exports.AssociateDrProtectionGroupDetails = exports.ActionType = void 0;
exports.UpdateObjectStoreScriptPrecheckStepDetails = exports.UpdateLocalScriptPrecheckStepDetails = exports.UpdateInvokeFunctionUserDefinedStepDetails = exports.UpdateInvokeFunctionPrecheckStepDetails = exports.UpdateDrProtectionGroupMemberVolumeGroupDetails = exports.UpdateDrProtectionGroupMemberDatabaseDetails = exports.UpdateDrProtectionGroupMemberComputeInstanceDetails = exports.UpdateDrProtectionGroupMemberAutonomousDatabaseDetails = exports.SwitchoverPrecheckExecutionOptions = exports.SwitchoverPrecheckExecutionOptionDetails = exports.SwitchoverExecutionOptions = exports.SwitchoverExecutionOptionDetails = exports.RunObjectStoreScriptUserDefinedStep = exports.RunLocalScriptUserDefinedStep = exports.ResumeDrPlanExecutionDetails = exports.PauseDrPlanExecutionDetails = exports.ObjectStoreScriptPrecheckStep = exports.LocalScriptPrecheckStep = exports.InvokeFunctionStep = exports.InvokeFunctionPrecheckStep = exports.FailoverPrecheckExecutionOptions = exports.FailoverPrecheckExecutionOptionDetails = exports.FailoverExecutionOptions = exports.FailoverExecutionOptionDetails = exports.DrProtectionGroupMemberVolumeGroup = exports.DrProtectionGroupMemberDatabase = exports.DrProtectionGroupMemberComputeInstance = exports.DrProtectionGroupMemberAutonomousDatabase = exports.DisassociateDrProtectionGroupDefaultDetails = exports.CreateDrProtectionGroupMemberVolumeGroupDetails = exports.CreateDrProtectionGroupMemberDatabaseDetails = exports.CreateDrProtectionGroupMemberComputeInstanceDetails = exports.CreateDrProtectionGroupMemberAutonomousDatabaseDetails = exports.CancelDrPlanExecutionDetails = exports.WorkRequestSummaryCollection = exports.WorkRequestSummary = exports.WorkRequestResource = exports.WorkRequestLogEntryCollection = exports.WorkRequestLogEntry = exports.WorkRequestErrorCollection = exports.WorkRequestError = exports.WorkRequest = exports.UpdateObjectStorageScriptLocationDetails = exports.UpdateObjectStorageLogLocationDetails = exports.UpdateDrProtectionGroupRoleDetails = exports.UpdateDrProtectionGroupMemberDetails = exports.UpdateDrProtectionGroupDetails = exports.UpdateDrPlanUserDefinedStepDetails = exports.UpdateDrPlanStepDetails = exports.UpdateDrPlanGroupDetails = void 0;
exports.UpdateRunObjectStoreScriptUserDefinedStepDetails = exports.UpdateRunLocalScriptUserDefinedStepDetails = void 0;
const ActionType = __importStar(require("./action-type"));
exports.ActionType = ActionType.ActionType;
const AssociateDrProtectionGroupDetails = __importStar(require("./associate-dr-protection-group-details"));
exports.AssociateDrProtectionGroupDetails = AssociateDrProtectionGroupDetails.AssociateDrProtectionGroupDetails;
const ChangeDrProtectionGroupCompartmentDetails = __importStar(require("./change-dr-protection-group-compartment-details"));
exports.ChangeDrProtectionGroupCompartmentDetails = ChangeDrProtectionGroupCompartmentDetails.ChangeDrProtectionGroupCompartmentDetails;
const ComputeInstanceVnicMapping = __importStar(require("./compute-instance-vnic-mapping"));
exports.ComputeInstanceVnicMapping = ComputeInstanceVnicMapping.ComputeInstanceVnicMapping;
const ComputeInstanceVnicMappingDetails = __importStar(require("./compute-instance-vnic-mapping-details"));
exports.ComputeInstanceVnicMappingDetails = ComputeInstanceVnicMappingDetails.ComputeInstanceVnicMappingDetails;
const CreateDrPlanDetails = __importStar(require("./create-dr-plan-details"));
exports.CreateDrPlanDetails = CreateDrPlanDetails.CreateDrPlanDetails;
const CreateDrPlanExecutionDetails = __importStar(require("./create-dr-plan-execution-details"));
exports.CreateDrPlanExecutionDetails = CreateDrPlanExecutionDetails.CreateDrPlanExecutionDetails;
const CreateDrProtectionGroupDetails = __importStar(require("./create-dr-protection-group-details"));
exports.CreateDrProtectionGroupDetails = CreateDrProtectionGroupDetails.CreateDrProtectionGroupDetails;
const CreateDrProtectionGroupMemberDetails = __importStar(require("./create-dr-protection-group-member-details"));
exports.CreateDrProtectionGroupMemberDetails = CreateDrProtectionGroupMemberDetails.CreateDrProtectionGroupMemberDetails;
const CreateObjectStorageLogLocationDetails = __importStar(require("./create-object-storage-log-location-details"));
exports.CreateObjectStorageLogLocationDetails = CreateObjectStorageLogLocationDetails.CreateObjectStorageLogLocationDetails;
const DisassociateDrProtectionGroupDetails = __importStar(require("./disassociate-dr-protection-group-details"));
exports.DisassociateDrProtectionGroupDetails = DisassociateDrProtectionGroupDetails.DisassociateDrProtectionGroupDetails;
const DrPlan = __importStar(require("./dr-plan"));
exports.DrPlan = DrPlan.DrPlan;
const DrPlanCollection = __importStar(require("./dr-plan-collection"));
exports.DrPlanCollection = DrPlanCollection.DrPlanCollection;
const DrPlanExecution = __importStar(require("./dr-plan-execution"));
exports.DrPlanExecution = DrPlanExecution.DrPlanExecution;
const DrPlanExecutionCollection = __importStar(require("./dr-plan-execution-collection"));
exports.DrPlanExecutionCollection = DrPlanExecutionCollection.DrPlanExecutionCollection;
const DrPlanExecutionControlDetails = __importStar(require("./dr-plan-execution-control-details"));
exports.DrPlanExecutionControlDetails = DrPlanExecutionControlDetails.DrPlanExecutionControlDetails;
const DrPlanExecutionLifecycleState = __importStar(require("./dr-plan-execution-lifecycle-state"));
exports.DrPlanExecutionLifecycleState = DrPlanExecutionLifecycleState.DrPlanExecutionLifecycleState;
const DrPlanExecutionOptionDetails = __importStar(require("./dr-plan-execution-option-details"));
exports.DrPlanExecutionOptionDetails = DrPlanExecutionOptionDetails.DrPlanExecutionOptionDetails;
const DrPlanExecutionOptions = __importStar(require("./dr-plan-execution-options"));
exports.DrPlanExecutionOptions = DrPlanExecutionOptions.DrPlanExecutionOptions;
const DrPlanExecutionSummary = __importStar(require("./dr-plan-execution-summary"));
exports.DrPlanExecutionSummary = DrPlanExecutionSummary.DrPlanExecutionSummary;
const DrPlanExecutionType = __importStar(require("./dr-plan-execution-type"));
exports.DrPlanExecutionType = DrPlanExecutionType.DrPlanExecutionType;
const DrPlanGroup = __importStar(require("./dr-plan-group"));
exports.DrPlanGroup = DrPlanGroup.DrPlanGroup;
const DrPlanGroupExecution = __importStar(require("./dr-plan-group-execution"));
exports.DrPlanGroupExecution = DrPlanGroupExecution.DrPlanGroupExecution;
const DrPlanGroupExecutionStatus = __importStar(require("./dr-plan-group-execution-status"));
exports.DrPlanGroupExecutionStatus = DrPlanGroupExecutionStatus.DrPlanGroupExecutionStatus;
const DrPlanGroupType = __importStar(require("./dr-plan-group-type"));
exports.DrPlanGroupType = DrPlanGroupType.DrPlanGroupType;
const DrPlanLifecycleState = __importStar(require("./dr-plan-lifecycle-state"));
exports.DrPlanLifecycleState = DrPlanLifecycleState.DrPlanLifecycleState;
const DrPlanStep = __importStar(require("./dr-plan-step"));
exports.DrPlanStep = DrPlanStep.DrPlanStep;
const DrPlanStepErrorMode = __importStar(require("./dr-plan-step-error-mode"));
exports.DrPlanStepErrorMode = DrPlanStepErrorMode.DrPlanStepErrorMode;
const DrPlanStepExecution = __importStar(require("./dr-plan-step-execution"));
exports.DrPlanStepExecution = DrPlanStepExecution.DrPlanStepExecution;
const DrPlanStepExecutionStatus = __importStar(require("./dr-plan-step-execution-status"));
exports.DrPlanStepExecutionStatus = DrPlanStepExecutionStatus.DrPlanStepExecutionStatus;
const DrPlanStepType = __importStar(require("./dr-plan-step-type"));
exports.DrPlanStepType = DrPlanStepType.DrPlanStepType;
const DrPlanSummary = __importStar(require("./dr-plan-summary"));
exports.DrPlanSummary = DrPlanSummary.DrPlanSummary;
const DrPlanType = __importStar(require("./dr-plan-type"));
exports.DrPlanType = DrPlanType.DrPlanType;
const DrPlanUserDefinedStep = __importStar(require("./dr-plan-user-defined-step"));
exports.DrPlanUserDefinedStep = DrPlanUserDefinedStep.DrPlanUserDefinedStep;
const DrProtectionGroup = __importStar(require("./dr-protection-group"));
exports.DrProtectionGroup = DrProtectionGroup.DrProtectionGroup;
const DrProtectionGroupCollection = __importStar(require("./dr-protection-group-collection"));
exports.DrProtectionGroupCollection = DrProtectionGroupCollection.DrProtectionGroupCollection;
const DrProtectionGroupLifecycleState = __importStar(require("./dr-protection-group-lifecycle-state"));
exports.DrProtectionGroupLifecycleState = DrProtectionGroupLifecycleState.DrProtectionGroupLifecycleState;
const DrProtectionGroupMember = __importStar(require("./dr-protection-group-member"));
exports.DrProtectionGroupMember = DrProtectionGroupMember.DrProtectionGroupMember;
const DrProtectionGroupMemberType = __importStar(require("./dr-protection-group-member-type"));
exports.DrProtectionGroupMemberType = DrProtectionGroupMemberType.DrProtectionGroupMemberType;
const DrProtectionGroupRole = __importStar(require("./dr-protection-group-role"));
exports.DrProtectionGroupRole = DrProtectionGroupRole.DrProtectionGroupRole;
const DrProtectionGroupSummary = __importStar(require("./dr-protection-group-summary"));
exports.DrProtectionGroupSummary = DrProtectionGroupSummary.DrProtectionGroupSummary;
const IgnoreDrPlanExecutionDetails = __importStar(require("./ignore-dr-plan-execution-details"));
exports.IgnoreDrPlanExecutionDetails = IgnoreDrPlanExecutionDetails.IgnoreDrPlanExecutionDetails;
const ObjectStorageLogLocation = __importStar(require("./object-storage-log-location"));
exports.ObjectStorageLogLocation = ObjectStorageLogLocation.ObjectStorageLogLocation;
const ObjectStorageScriptLocation = __importStar(require("./object-storage-script-location"));
exports.ObjectStorageScriptLocation = ObjectStorageScriptLocation.ObjectStorageScriptLocation;
const OperationStatus = __importStar(require("./operation-status"));
exports.OperationStatus = OperationStatus.OperationStatus;
const OperationType = __importStar(require("./operation-type"));
exports.OperationType = OperationType.OperationType;
const RetryDrPlanExecutionDetails = __importStar(require("./retry-dr-plan-execution-details"));
exports.RetryDrPlanExecutionDetails = RetryDrPlanExecutionDetails.RetryDrPlanExecutionDetails;
const SortOrder = __importStar(require("./sort-order"));
exports.SortOrder = SortOrder.SortOrder;
const UpdateDrPlanDetails = __importStar(require("./update-dr-plan-details"));
exports.UpdateDrPlanDetails = UpdateDrPlanDetails.UpdateDrPlanDetails;
const UpdateDrPlanExecutionDetails = __importStar(require("./update-dr-plan-execution-details"));
exports.UpdateDrPlanExecutionDetails = UpdateDrPlanExecutionDetails.UpdateDrPlanExecutionDetails;
const UpdateDrPlanGroupDetails = __importStar(require("./update-dr-plan-group-details"));
exports.UpdateDrPlanGroupDetails = UpdateDrPlanGroupDetails.UpdateDrPlanGroupDetails;
const UpdateDrPlanStepDetails = __importStar(require("./update-dr-plan-step-details"));
exports.UpdateDrPlanStepDetails = UpdateDrPlanStepDetails.UpdateDrPlanStepDetails;
const UpdateDrPlanUserDefinedStepDetails = __importStar(require("./update-dr-plan-user-defined-step-details"));
exports.UpdateDrPlanUserDefinedStepDetails = UpdateDrPlanUserDefinedStepDetails.UpdateDrPlanUserDefinedStepDetails;
const UpdateDrProtectionGroupDetails = __importStar(require("./update-dr-protection-group-details"));
exports.UpdateDrProtectionGroupDetails = UpdateDrProtectionGroupDetails.UpdateDrProtectionGroupDetails;
const UpdateDrProtectionGroupMemberDetails = __importStar(require("./update-dr-protection-group-member-details"));
exports.UpdateDrProtectionGroupMemberDetails = UpdateDrProtectionGroupMemberDetails.UpdateDrProtectionGroupMemberDetails;
const UpdateDrProtectionGroupRoleDetails = __importStar(require("./update-dr-protection-group-role-details"));
exports.UpdateDrProtectionGroupRoleDetails = UpdateDrProtectionGroupRoleDetails.UpdateDrProtectionGroupRoleDetails;
const UpdateObjectStorageLogLocationDetails = __importStar(require("./update-object-storage-log-location-details"));
exports.UpdateObjectStorageLogLocationDetails = UpdateObjectStorageLogLocationDetails.UpdateObjectStorageLogLocationDetails;
const UpdateObjectStorageScriptLocationDetails = __importStar(require("./update-object-storage-script-location-details"));
exports.UpdateObjectStorageScriptLocationDetails = UpdateObjectStorageScriptLocationDetails.UpdateObjectStorageScriptLocationDetails;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestErrorCollection = __importStar(require("./work-request-error-collection"));
exports.WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
const WorkRequestLogEntry = __importStar(require("./work-request-log-entry"));
exports.WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
const WorkRequestLogEntryCollection = __importStar(require("./work-request-log-entry-collection"));
exports.WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const WorkRequestSummary = __importStar(require("./work-request-summary"));
exports.WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
const WorkRequestSummaryCollection = __importStar(require("./work-request-summary-collection"));
exports.WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
const CancelDrPlanExecutionDetails = __importStar(require("./cancel-dr-plan-execution-details"));
exports.CancelDrPlanExecutionDetails = CancelDrPlanExecutionDetails.CancelDrPlanExecutionDetails;
const CreateDrProtectionGroupMemberAutonomousDatabaseDetails = __importStar(require("./create-dr-protection-group-member-autonomous-database-details"));
exports.CreateDrProtectionGroupMemberAutonomousDatabaseDetails = CreateDrProtectionGroupMemberAutonomousDatabaseDetails.CreateDrProtectionGroupMemberAutonomousDatabaseDetails;
const CreateDrProtectionGroupMemberComputeInstanceDetails = __importStar(require("./create-dr-protection-group-member-compute-instance-details"));
exports.CreateDrProtectionGroupMemberComputeInstanceDetails = CreateDrProtectionGroupMemberComputeInstanceDetails.CreateDrProtectionGroupMemberComputeInstanceDetails;
const CreateDrProtectionGroupMemberDatabaseDetails = __importStar(require("./create-dr-protection-group-member-database-details"));
exports.CreateDrProtectionGroupMemberDatabaseDetails = CreateDrProtectionGroupMemberDatabaseDetails.CreateDrProtectionGroupMemberDatabaseDetails;
const CreateDrProtectionGroupMemberVolumeGroupDetails = __importStar(require("./create-dr-protection-group-member-volume-group-details"));
exports.CreateDrProtectionGroupMemberVolumeGroupDetails = CreateDrProtectionGroupMemberVolumeGroupDetails.CreateDrProtectionGroupMemberVolumeGroupDetails;
const DisassociateDrProtectionGroupDefaultDetails = __importStar(require("./disassociate-dr-protection-group-default-details"));
exports.DisassociateDrProtectionGroupDefaultDetails = DisassociateDrProtectionGroupDefaultDetails.DisassociateDrProtectionGroupDefaultDetails;
const DrProtectionGroupMemberAutonomousDatabase = __importStar(require("./dr-protection-group-member-autonomous-database"));
exports.DrProtectionGroupMemberAutonomousDatabase = DrProtectionGroupMemberAutonomousDatabase.DrProtectionGroupMemberAutonomousDatabase;
const DrProtectionGroupMemberComputeInstance = __importStar(require("./dr-protection-group-member-compute-instance"));
exports.DrProtectionGroupMemberComputeInstance = DrProtectionGroupMemberComputeInstance.DrProtectionGroupMemberComputeInstance;
const DrProtectionGroupMemberDatabase = __importStar(require("./dr-protection-group-member-database"));
exports.DrProtectionGroupMemberDatabase = DrProtectionGroupMemberDatabase.DrProtectionGroupMemberDatabase;
const DrProtectionGroupMemberVolumeGroup = __importStar(require("./dr-protection-group-member-volume-group"));
exports.DrProtectionGroupMemberVolumeGroup = DrProtectionGroupMemberVolumeGroup.DrProtectionGroupMemberVolumeGroup;
const FailoverExecutionOptionDetails = __importStar(require("./failover-execution-option-details"));
exports.FailoverExecutionOptionDetails = FailoverExecutionOptionDetails.FailoverExecutionOptionDetails;
const FailoverExecutionOptions = __importStar(require("./failover-execution-options"));
exports.FailoverExecutionOptions = FailoverExecutionOptions.FailoverExecutionOptions;
const FailoverPrecheckExecutionOptionDetails = __importStar(require("./failover-precheck-execution-option-details"));
exports.FailoverPrecheckExecutionOptionDetails = FailoverPrecheckExecutionOptionDetails.FailoverPrecheckExecutionOptionDetails;
const FailoverPrecheckExecutionOptions = __importStar(require("./failover-precheck-execution-options"));
exports.FailoverPrecheckExecutionOptions = FailoverPrecheckExecutionOptions.FailoverPrecheckExecutionOptions;
const InvokeFunctionPrecheckStep = __importStar(require("./invoke-function-precheck-step"));
exports.InvokeFunctionPrecheckStep = InvokeFunctionPrecheckStep.InvokeFunctionPrecheckStep;
const InvokeFunctionStep = __importStar(require("./invoke-function-step"));
exports.InvokeFunctionStep = InvokeFunctionStep.InvokeFunctionStep;
const LocalScriptPrecheckStep = __importStar(require("./local-script-precheck-step"));
exports.LocalScriptPrecheckStep = LocalScriptPrecheckStep.LocalScriptPrecheckStep;
const ObjectStoreScriptPrecheckStep = __importStar(require("./object-store-script-precheck-step"));
exports.ObjectStoreScriptPrecheckStep = ObjectStoreScriptPrecheckStep.ObjectStoreScriptPrecheckStep;
const PauseDrPlanExecutionDetails = __importStar(require("./pause-dr-plan-execution-details"));
exports.PauseDrPlanExecutionDetails = PauseDrPlanExecutionDetails.PauseDrPlanExecutionDetails;
const ResumeDrPlanExecutionDetails = __importStar(require("./resume-dr-plan-execution-details"));
exports.ResumeDrPlanExecutionDetails = ResumeDrPlanExecutionDetails.ResumeDrPlanExecutionDetails;
const RunLocalScriptUserDefinedStep = __importStar(require("./run-local-script-user-defined-step"));
exports.RunLocalScriptUserDefinedStep = RunLocalScriptUserDefinedStep.RunLocalScriptUserDefinedStep;
const RunObjectStoreScriptUserDefinedStep = __importStar(require("./run-object-store-script-user-defined-step"));
exports.RunObjectStoreScriptUserDefinedStep = RunObjectStoreScriptUserDefinedStep.RunObjectStoreScriptUserDefinedStep;
const SwitchoverExecutionOptionDetails = __importStar(require("./switchover-execution-option-details"));
exports.SwitchoverExecutionOptionDetails = SwitchoverExecutionOptionDetails.SwitchoverExecutionOptionDetails;
const SwitchoverExecutionOptions = __importStar(require("./switchover-execution-options"));
exports.SwitchoverExecutionOptions = SwitchoverExecutionOptions.SwitchoverExecutionOptions;
const SwitchoverPrecheckExecutionOptionDetails = __importStar(require("./switchover-precheck-execution-option-details"));
exports.SwitchoverPrecheckExecutionOptionDetails = SwitchoverPrecheckExecutionOptionDetails.SwitchoverPrecheckExecutionOptionDetails;
const SwitchoverPrecheckExecutionOptions = __importStar(require("./switchover-precheck-execution-options"));
exports.SwitchoverPrecheckExecutionOptions = SwitchoverPrecheckExecutionOptions.SwitchoverPrecheckExecutionOptions;
const UpdateDrProtectionGroupMemberAutonomousDatabaseDetails = __importStar(require("./update-dr-protection-group-member-autonomous-database-details"));
exports.UpdateDrProtectionGroupMemberAutonomousDatabaseDetails = UpdateDrProtectionGroupMemberAutonomousDatabaseDetails.UpdateDrProtectionGroupMemberAutonomousDatabaseDetails;
const UpdateDrProtectionGroupMemberComputeInstanceDetails = __importStar(require("./update-dr-protection-group-member-compute-instance-details"));
exports.UpdateDrProtectionGroupMemberComputeInstanceDetails = UpdateDrProtectionGroupMemberComputeInstanceDetails.UpdateDrProtectionGroupMemberComputeInstanceDetails;
const UpdateDrProtectionGroupMemberDatabaseDetails = __importStar(require("./update-dr-protection-group-member-database-details"));
exports.UpdateDrProtectionGroupMemberDatabaseDetails = UpdateDrProtectionGroupMemberDatabaseDetails.UpdateDrProtectionGroupMemberDatabaseDetails;
const UpdateDrProtectionGroupMemberVolumeGroupDetails = __importStar(require("./update-dr-protection-group-member-volume-group-details"));
exports.UpdateDrProtectionGroupMemberVolumeGroupDetails = UpdateDrProtectionGroupMemberVolumeGroupDetails.UpdateDrProtectionGroupMemberVolumeGroupDetails;
const UpdateInvokeFunctionPrecheckStepDetails = __importStar(require("./update-invoke-function-precheck-step-details"));
exports.UpdateInvokeFunctionPrecheckStepDetails = UpdateInvokeFunctionPrecheckStepDetails.UpdateInvokeFunctionPrecheckStepDetails;
const UpdateInvokeFunctionUserDefinedStepDetails = __importStar(require("./update-invoke-function-user-defined-step-details"));
exports.UpdateInvokeFunctionUserDefinedStepDetails = UpdateInvokeFunctionUserDefinedStepDetails.UpdateInvokeFunctionUserDefinedStepDetails;
const UpdateLocalScriptPrecheckStepDetails = __importStar(require("./update-local-script-precheck-step-details"));
exports.UpdateLocalScriptPrecheckStepDetails = UpdateLocalScriptPrecheckStepDetails.UpdateLocalScriptPrecheckStepDetails;
const UpdateObjectStoreScriptPrecheckStepDetails = __importStar(require("./update-object-store-script-precheck-step-details"));
exports.UpdateObjectStoreScriptPrecheckStepDetails = UpdateObjectStoreScriptPrecheckStepDetails.UpdateObjectStoreScriptPrecheckStepDetails;
const UpdateRunLocalScriptUserDefinedStepDetails = __importStar(require("./update-run-local-script-user-defined-step-details"));
exports.UpdateRunLocalScriptUserDefinedStepDetails = UpdateRunLocalScriptUserDefinedStepDetails.UpdateRunLocalScriptUserDefinedStepDetails;
const UpdateRunObjectStoreScriptUserDefinedStepDetails = __importStar(require("./update-run-object-store-script-user-defined-step-details"));
exports.UpdateRunObjectStoreScriptUserDefinedStepDetails = UpdateRunObjectStoreScriptUserDefinedStepDetails.UpdateRunObjectStoreScriptUserDefinedStepDetails;
//# sourceMappingURL=index.js.map