/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for updating a DR Plan step.
 */
export interface UpdateDrPlanStepDetails {
    /**
      * The unique id of this step.
  * <p>
  Example: `sgid1.step..examplestepsgid`
  *
      */
    "id"?: string;
    /**
      * The display name of this step in a group.
  * <p>
  Example: `My_STEP_3A - EBS Start - STAGE A`
  *
      */
    "displayName"?: string;
    /**
     * The error mode for this step.
     *
     */
    "errorMode"?: model.DrPlanStepErrorMode;
    /**
      * The timeout in seconds for executing this step.
  * <p>
  Example: `600`
  *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
      */
    "timeout"?: number;
    /**
      * A flag indicating whether this step should be enabled for execution.
  * <p>
  Example: `true`
  *
      */
    "isEnabled"?: boolean;
    "userDefinedStep"?: model.UpdateLocalScriptPrecheckStepDetails | model.UpdateInvokeFunctionPrecheckStepDetails | model.UpdateInvokeFunctionUserDefinedStepDetails | model.UpdateRunObjectStoreScriptUserDefinedStepDetails | model.UpdateObjectStoreScriptPrecheckStepDetails | model.UpdateRunLocalScriptUserDefinedStepDetails;
}
export declare namespace UpdateDrPlanStepDetails {
    function getJsonObj(obj: UpdateDrPlanStepDetails): object;
    function getDeserializedJsonObj(obj: UpdateDrPlanStepDetails): object;
}
