/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * UDP Application used on the firewall policy rules.
 */
export interface UdpApplication extends model.Application {
    /**
     * The minimum port in the range (inclusive), or the sole port of a single-port range. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minimumPort": number;
    /**
     * The maximum port in the range (inclusive), which may be absent for a single-port range. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maximumPort"?: number;
    "type": string;
}
export declare namespace UdpApplication {
    function getJsonObj(obj: UdpApplication, isParentJsonObj?: boolean): object;
    const type = "UDP";
    function getDeserializedJsonObj(obj: UdpApplication, isParentJsonObj?: boolean): object;
}
